org.apache.xerces.xni

## Interface XMLDocumentFragmentHandler

-     public interface XMLDocumentFragmentHandler

  This handler interface contains methods necessary to receive information about document elements and content.

  Note: Some of these methods overlap methods found in the XMLDocumentHandler interface.

  Version:
    $Id: XMLDocumentFragmentHandler.java 447247 2006-09-18 05:23:52Z mrglavas $
  Author:
    Andy Clark, IBM
  See Also:
    `XMLDocumentHandler`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(XMLString text, Augmentations augmentations)` Character content.
    `void` | `comment(XMLString text, Augmentations augmentations)` A comment.
    `void` | `emptyElement(QName element, XMLAttributes attributes, Augmentations augmentations)` An empty element.
    `void` | `endCDATA(Augmentations augmentations)` The end of a CDATA section.
    `void` | `endDocumentFragment(Augmentations augmentations)` The end of the document fragment.
    `void` | `endElement(QName element, Augmentations augmentations)` The end of an element.
    `void` | `endGeneralEntity(java.lang.String name, Augmentations augmentations)` This method notifies the end of a general entity.
    `void` | `ignorableWhitespace(XMLString text, Augmentations augmentations)` Ignorable whitespace.
    `void` | `processingInstruction(java.lang.String target, XMLString data, Augmentations augmentations)` A processing instruction.
    `void` | `startCDATA(Augmentations augmentations)` The start of a CDATA section.
    `void` | `startDocumentFragment(XMLLocator locator, NamespaceContext namespaceContext, Augmentations augmentations)` The start of the document fragment.
    `void` | `startElement(QName element, XMLAttributes attributes, Augmentations augmentations)` The start of an element.
    `void` | `startGeneralEntity(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String encoding, Augmentations augmentations)` This method notifies the start of a general entity.
    `void` | `textDecl(java.lang.String version, java.lang.String encoding, Augmentations augmentations)` Notifies of the presence of a TextDecl line in an entity.

- - ### Method Detail

    - #### startDocumentFragment

          void startDocumentFragment(XMLLocator locator,
                                   NamespaceContext namespaceContext,
                                   Augmentations augmentations)
                                     throws XNIException

      The start of the document fragment.
      Parameters:
        `locator` - The document locator, or null if the document location cannot be reported during the parsing of this fragment. However, it is strongly recommended that a locator be supplied that can at least report the base system identifier.
        `namespaceContext` - The namespace context in effect at the start of this document fragment. This object only represents the current context. Implementors of this class are responsible for copying the namespace bindings from the the current context (and its parent contexts) if that information is important.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### startGeneralEntity

          void startGeneralEntity(java.lang.String name,
                                XMLResourceIdentifier identifier,
                                java.lang.String encoding,
                                Augmentations augmentations)
                                  throws XNIException

      This method notifies the start of a general entity.

      Note: This method is not called for entity references appearing as part of attribute values.

      Parameters:
        `name` - The name of the general entity.
        `identifier` - The resource identifier.
        `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### textDecl

          void textDecl(java.lang.String version,
                      java.lang.String encoding,
                      Augmentations augmentations)
                        throws XNIException

      Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

      Note: This method will never be called for the document entity; it is only called for external general entities referenced in document content.

      Note: This method is not called for entity references appearing as part of attribute values.

      Parameters:
        `version` - The XML version, or null if not specified.
        `encoding` - The IANA encoding name of the entity.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### endGeneralEntity

          void endGeneralEntity(java.lang.String name,
                              Augmentations augmentations)
                                throws XNIException

      This method notifies the end of a general entity.

      Note: This method is not called for entity references appearing as part of attribute values.

      Parameters:
        `name` - The name of the general entity.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### comment

          void comment(XMLString text,
                     Augmentations augmentations)
                       throws XNIException

      A comment.
      Parameters:
        `text` - The text in the comment.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by application to signal an error.

    - #### processingInstruction

          void processingInstruction(java.lang.String target,
                                   XMLString data,
                                   Augmentations augmentations)
                                     throws XNIException

      A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

      Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

      Parameters:
        `target` - The target.
        `data` - The data or null if none specified.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### startElement

          void startElement(QName element,
                          XMLAttributes attributes,
                          Augmentations augmentations)
                            throws XNIException

      The start of an element.
      Parameters:
        `element` - The name of the element.
        `attributes` - The element attributes.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### emptyElement

          void emptyElement(QName element,
                          XMLAttributes attributes,
                          Augmentations augmentations)
                            throws XNIException

      An empty element.
      Parameters:
        `element` - The name of the element.
        `attributes` - The element attributes.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### characters

          void characters(XMLString text,
                        Augmentations augmentations)
                          throws XNIException

      Character content.
      Parameters:
        `text` - The content.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### ignorableWhitespace

          void ignorableWhitespace(XMLString text,
                                 Augmentations augmentations)
                                   throws XNIException

      Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.
      Parameters:
        `text` - The ignorable whitespace.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### endElement

          void endElement(QName element,
                        Augmentations augmentations)
                          throws XNIException

      The end of an element.
      Parameters:
        `element` - The name of the element.
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### startCDATA

          void startCDATA(Augmentations augmentations)
                          throws XNIException

      The start of a CDATA section.
      Parameters:
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### endCDATA

          void endCDATA(Augmentations augmentations)
                        throws XNIException

      The end of a CDATA section.
      Parameters:
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### endDocumentFragment

          void endDocumentFragment(Augmentations augmentations)
                                   throws XNIException

      The end of the document fragment.
      Parameters:
        `augmentations` - Additional information that may include infoset augmentations.
      Throws:
        `XNIException` - Thrown by handler to signal an error.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.